Summary: mpiblast 
Name: mpiblast
Version: 1.4.0
Release: 1
Copyright: GPL
Group: Scientific/Cluster
Source0: mpiblast-1.4.0.tar.gz
Source1: ncbi.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
Patch0: opteron-m64-v2.patch

%description
mpiblast is a freely available open source parallelization of 
NCBI BLAST. mpiblast segments the BLAST database and distributes 
it across cluster nodes, permitting BLAST queries to be processed 
on many nodes simultaneously. mpiblast is based on MPI.

%prep
rm -rf mpiblast-1.4.0
mkdir mpiblast-1.4.0
cd mpiblast-1.4.0
%setup -b 0
%setup -b 1
%ifarch x86_64
cd ..
%patch -p0 
cd mpiblast-1.4.0
%endif

%build
# the following needs to change, but there is no way
# to know in advance which MPI is being used.  We cannot
# even set intelligent guesses, as there seems to be no
# standard for naming, location, ...  
#
# add to this that not all MPI are installed by RPM.  
#
# uncomment the one you need.
export MPI=/opt/mpich/gnu/bin
#export MPI=/opt/lam703
#export MPI=/opt/mpich126

cd ../ncbi
patch -p1  < ../mpiblast-1.4.0/ncbi_Oct2004_evalue.patch
cd ..
ncbi/make/makedis.csh
cd mpiblast-1.4.0
%ifnarch x86_64
export LDFLAGS="-L/usr/lib/  -lstdc++"
./configure --enable-debug  --with-ncbi=`pwd`/../ncbi --prefix=/usr/local --with-mpi=$MPI
%endif
%ifarch x86_64
export LDFLAGS="-L/usr/lib64/  -lstdc++"
./configure --enable-debug --with-ncbi=`pwd`/../ncbi --prefix=/usr/local
%endif
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/bin/
mkdir -p $RPM_BUILD_ROOT/usr/local/etc/
install -s -m 755 src/mpiblast $RPM_BUILD_ROOT/usr/local/bin/mpiblast
install -s -m 755 src/mpiformatdb $RPM_BUILD_ROOT/usr/local/bin/mpiformatdb
install -s -m 755 blast.cgi  $RPM_BUILD_ROOT/usr/local/bin/blast.cgi
install -s -m 755 WWWBlastWrap.pl  $RPM_BUILD_ROOT/usr/local/bin/WWWBlastWrap.pl

%files
%defattr(755,root,root)
%doc README TODO COPYING ChangeLog LICENSE INSTALL AUTHORS NEWS

/usr/local/bin/mpiblast
/usr/local/bin/mpiformatdb
/usr/local/bin/blast.cgi
/usr/local/bin/WWWBlastWrap.pl

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Jun 23 2005 Joe Landman <landman@scalableinformatics.com>
- New tarball to fix last minute errors 
* Wed Jun 22 2005 Joe Landman <landman@scalableinformatics.com>
- Respin for 1.4.0 
* Wed May 18 2005 Joe Landman <landman@scalableinformatics.com>
- Build with LAM 7.0.3-6.4
* Tue Dec 7 2004 Joe Landman <landman@scalableinformatics.com>
- started 1.3.0 build
* Sat Jul 17 2004 Joe Landman <landman@scalableinformatics.com>
- fixed all builds.  Seems to be a problem with the mpe timing
- flag causing problems.
* Fri May 21 2004 Joe Landman <landman@scalableinformatics.com>
- fixed x86_64 build
* Fri Jan 30 2004 Joe Landman <landman@scalableinformatics.com>
- update to 1.2.1
* Fri Jan 23 2004 Joe Landman <landman@scalableinformatics.com>
- initial packaging

%packager Joe Landman <landman@scalableinformatics.com>
%vendor Scalable Informatics LLC
